#ifndef _MAP_H
#define _MAP_H

#include "MapObject.h"


class Map
{
public:
	Map();
	~Map();

	void SetMax(int,int);
	int GetMaxX() { return m_max_x; }
	int GetMaxY() { return m_max_y; }
	double GetNearest(double x,double y);
	void SetWraps(bool x = true) { m_wraps = x; }
	bool GetWraps() { return m_wraps; }

	void AddObject(MapObject *p,bool delete_by_map = true);
	void IncreaseTime(long usec);

	void SpawnRandom();
	size_t objects_in_map() { return m_objects.size(); }

private:
	int m_max_x;
	int m_max_y;
	bool m_wraps;
	mapobject_v m_objects;
};




#endif // _MAP_H
