#ifndef _ROBOTXMLFILE_H
#define _ROBOTXMLFILE_H

#include <map>
#include <vector>
#include "BaseXMLFile.h"
#include "robotworld.h"


class RobotXMLFile : public BaseXMLFile
{
public:
	RobotXMLFile(const std::string& filename);
	~RobotXMLFile();

	std::string GetString(const std::string& path,const std::string& property = "value");
	void GetMethods(std::map<std::string,int>& );
	void GetVariables(std::vector<VARIABLE *>& );

private:
	xmlNodePtr Find(xmlNodePtr base,const std::string& path);
};




#endif // _ROBOTXMLFILE_H
