#ifndef _ROBOTWORLD_H
#define _ROBOTWORLD_H

#include <string>

typedef enum {
	MAPOBJECT_NOTHING = 0,
	MAPOBJECT_ROBOT,
	MAPOBJECT_PORTAL,
	MAPOBJECT_BASE,
	MAPOBJECT_POWERUP_UNKNOWN,
	MAPOBJECT_ITEM,
} mapobject_t;

typedef enum {
	ROBOTOBJECT_ROBOT = 1,
	ROBOTOBJECT_RADAR,
	ROBOTOBJECT_TURRET,
	ROBOTOBJECT_GUN,
	ROBOTOBJECT_SHIELDS,
} robotobject_t;

class MapObject;

struct VARIABLE {
	VARIABLE(const std::string& n,int t,int r) : nr(r),name(n),type(t),value(0),object(NULL) {}
	int nr;
	std::string name;
	int type; // 0-integer, 1-map object
	long value;
	MapObject *object;
};


#endif // _ROBOTWORLD_H
